using System.ComponentModel.Composition;
using Microsoft.VisualStudio.Text.Editor;
using Microsoft.VisualStudio.Utilities;

namespace ZoomAtMouse
{
    [Export(typeof(IMouseProcessorProvider))]
    [ContentType("text")]
    [TextViewRole(PredefinedTextViewRoles.Zoomable)]
    [Order(Before = "default")]
    [Name("Zoom Mouse Handler")]
    internal sealed class MouseExtensionFactory : IMouseProcessorProvider
    {
        public IMouseProcessor GetAssociatedProcessor(IWpfTextView wpfTextView)
        {
            return new MouseExtension(wpfTextView);
        }
    }
}
